Eclipse BIRT Report Object Model (ROM)

DataSource Element

# Element Overview

The data source element represents a connection to an external data system.

### Details

Display Name: | Data Source
Since: | 1.0
XML Element: | `None`
Extends: | ReportElement
Extendable: | No
Abstract: | Yes
Name Space: | Data Sources
Name Requirement: | Required
Allows User Properties: | Yes
Has Style: | No

### Method Summary

afterClose
  Called just after closing the data source connection.
afterOpen
  Perform initialization after opening the data source connection for data access.
beforeClose
  Called just before closing the data source connection.
beforeOpen
  Perform initialization before opening the data source connection for data access.

### Inherited Properties

comments, customXml, displayName, displayNameID, eventHandlerClass, extends, name, newHandlerOnEachEvent, propertyMasks, userProperties, viewAction

### Inherited Property Notes

name
  The name is required for a data source. Data sets use this name to associate themselves with the data source.

### Description

The Data Source script methods execute as methods of a JavaScript object that represents the data source. See the Data Scripting Objects section for a description of the `DataSource` scripting object.

### See Also

`DataSource` scripting object

# Method Detail

## afterClose Method

Called just after closing the data source connection.

### Synopsis

`None obj.afterClose( )`

### Details

Since: | 1.0
Context: | factory
Arguments: | None
Return Type: | None

### Description

Called just after BIRT closes the data source. Allows the application to perform code-based cleanup.

### See Also

`beforeClose` method

## afterOpen Method

Perform initialization after opening the data source connection for data access.

### Synopsis

`None obj.afterOpen( )`

### Details

Since: | 1.0
Context: | factory
Arguments: | None
Return Type: | None

### Description

Called just after BIRT opens the data source. Allows the application to perform any code-based initialization required for the data source.

### See Also

`beforeOpen` method

## beforeClose Method

Called just before closing the data source connection.

### Synopsis

`None obj.beforeClose( )`

### Details

Since: | 1.0
Context: | factory
Arguments: | None
Return Type: | None

### Description

Called just before BIRT closes the data source. Allows the application to perform code-based cleanup.

### See Also

`afterClose` method

## beforeOpen Method

Perform initialization before opening the data source connection for data access.

### Synopsis

`None obj.beforeOpen( )`

### Details

Since: | 1.0
Context: | factory
Arguments: | None
Return Type: | None

### Description

Called just before BIRT opens the data source. Allows the application to customize the data source properties.

### See Also

`afterOpen` method